# Refresh token variant

| **Description** | Exchanges a refresh token for a new access token. |
| --------------- | ------------------------------------------------- |
| **Endpoint**    | `/oauth/token`                                    |
| **Method**      | POST                                              |

### Parameters

| Name            | Description                                                                                                                                                                            | Required |
| --------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| `grant_type`    | Must be "refresh\_token" to emphasize that you are trying to exchange a refresh token.                                                                                                 |          |
| `client_id`     | The client id given during the client registration. Alternatively this can be supplied using the Basic HTTP header with the client\_id as username and client\_secret as password.     |          |
| `client_secret` | The client secret given during the client registration. Alternatively this can be supplied using the Basic HTTP header with the client\_id as username and client\_secret as password. |          |
| `refresh_token` | The refresh token from the access token to refresh.                                                                                                                                    |          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/oauth/refresh-token-variant.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
